### Method

# Ide Runtime supports_toolchain

#### Declaration

    gboolean
    ide_runtime_supports_toolchain (
      IdeRuntime* self,
      IdeToolchain* toolchain
    )

#### Description

Informs wether a toolchain is supported by this.

Available since: | 3.32

#### Parameters

`toolchain` | `IdeToolchain`
| The `IdeToolchain` to check.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the toolchain is supported.